---
title: Input modes
description: The inputmode attr is an easy addition to <input> elements that allows mobile devices to bring up special keyboards with specialized inputs.
mdnLink: https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/inputmode
lang: "html"
tags:
  - HTML
layout: layouts/snippet.html
---
<!-- The default, will show a standard keyboard -->
<input inputmode="text" /> 

<!-- Numeric input keyboard with digits 0-9 -->
<input inputmode="numeric" /> 

 <!-- Numeric input keyboard with digits 0-9 and a decimal separator -->
<input inputmode="decimal" />

<!-- Telephone input keyboard, with digits 0-9, asterisk and pound key. If telephone # is required, use <input type="tel"> -->
<input inputmode="tel" /> 

<!-- Keyboard for search, submit key may be labelled 'Search.' If search query is required, use <input type="search"> -->
<input inputmode="search" /> 

<!-- Keyboard for entering email addresses, includes @ character. If email is required, use <input type="email"> -->
<input inputmode="email" /> 

<!-- Keyboard for entering URLs, '/' key may be more prominent. If URL is required, use <input type="url">-->
<input inputmode="url" /> 